Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class ComparisonExpression

    java.lang.Object
      org.codehaus.activemq.filter.BinaryExpression
          org.codehaus.activemq.filter.ComparisonExpression

All Implemented Interfaces:
  BooleanExpression, Expression

public abstract class ComparisonExpression
extends BinaryExpression
implements BooleanExpression

A filter performing a comparison of two objects

Version:
  $Revision: 1.1 $

Nested Class Summary
`(package private) static class` | `ComparisonExpression.LikeExpression`

Field Summary

Fields inherited from class org.codehaus.activemq.filter.BinaryExpression
`left, right`

Constructor Summary
`ComparisonExpression(Expression left, Expression right)`

Method Summary
`protected abstract boolean` | `asBoolean(int answer)`
`protected java.lang.Boolean` | `compare(java.lang.Comparable lv, java.lang.Comparable rv)`
`static BooleanExpression` | `createBetween(Expression value, Expression left, Expression right)`
`static BooleanExpression` | `createEqual(Expression left, Expression right)`
`static BooleanExpression` | `createGreaterThan(Expression left, Expression right)`
`static BooleanExpression` | `createGreaterThanEqual(Expression left, Expression right)`
`static BooleanExpression` | `createInFilter(Expression left, java.util.List elements)`
`static BooleanExpression` | `createIsNotNull(Expression left)`
`static BooleanExpression` | `createIsNull(Expression left)`
`static BooleanExpression` | `createLessThan(Expression left, Expression right)`
`static BooleanExpression` | `createLessThanEqual(Expression left, Expression right)`
`static BooleanExpression` | `createLike(Expression left, java.lang.String right, java.lang.String escape)`
`static BooleanExpression` | `createNotBetween(Expression value, Expression left, Expression right)`
`static BooleanExpression` | `createNotEqual(Expression left, Expression right)`
`static BooleanExpression` | `createNotInFilter(Expression left, java.util.List elements)`
`static BooleanExpression` | `createNotLike(Expression left, java.lang.String right, java.lang.String escape)`
`java.lang.Object` | `evaluate(Message message)`

Methods inherited from class org.codehaus.activemq.filter.BinaryExpression
`equals, getExpressionSymbol, getLeft, getRight, hashCode, setLeft, setRight, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparisonExpression

    public ComparisonExpression(Expression left,
                                Expression right)

Parameters:
  `left` -
  `right` -

Method Detail

### createBetween

    public static BooleanExpression createBetween(Expression value,
                                                  Expression left,
                                                  Expression right)

### createNotBetween

    public static BooleanExpression createNotBetween(Expression value,
                                                     Expression left,
                                                     Expression right)

### createLike

    public static BooleanExpression createLike(Expression left,
                                               java.lang.String right,
                                               java.lang.String escape)

### createNotLike

    public static BooleanExpression createNotLike(Expression left,
                                                  java.lang.String right,
                                                  java.lang.String escape)

### createInFilter

    public static BooleanExpression createInFilter(Expression left,
                                                   java.util.List elements)

### createNotInFilter

    public static BooleanExpression createNotInFilter(Expression left,
                                                      java.util.List elements)

### createIsNull

    public static BooleanExpression createIsNull(Expression left)

### createIsNotNull

    public static BooleanExpression createIsNotNull(Expression left)

### createNotEqual

    public static BooleanExpression createNotEqual(Expression left,
                                                   Expression right)

### createEqual

    public static BooleanExpression createEqual(Expression left,
                                                Expression right)

### createGreaterThan

    public static BooleanExpression createGreaterThan(Expression left,
                                                      Expression right)

### createGreaterThanEqual

    public static BooleanExpression createGreaterThanEqual(Expression left,
                                                           Expression right)

### createLessThan

    public static BooleanExpression createLessThan(Expression left,
                                                   Expression right)

### createLessThanEqual

    public static BooleanExpression createLessThanEqual(Expression left,
                                                        Expression right)

### evaluate

    public java.lang.Object evaluate(Message message)
                              throws JMSException

  Specified by:
    `evaluate` in interface `Expression`
  Returns:
    the value of this expression
  Throws:
    `JMSException`

### compare

    protected java.lang.Boolean compare(java.lang.Comparable lv,
                                        java.lang.Comparable rv)

### asBoolean

    protected abstract boolean asBoolean(int answer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.